[Pkg-sysvinit-commits] r1324 - in sysvinit/trunk/debian: . sysv-rc/etc/init.d

kelmo-guest at alioth.debian.org kelmo-guest at alioth.debian.org
Sat Mar 14 12:30:44 UTC 2009


Author: kelmo-guest
Date: 2009-03-14 12:30:43 +0000 (Sat, 14 Mar 2009)
New Revision: 1324

Modified:
   sysvinit/trunk/debian/changelog
   sysvinit/trunk/debian/sysv-rc/etc/init.d/rc
Log:
Standardize indentaion used in debian/sysv-rc/etc/init.d/rc. Use tabs
always, and not a mixture of tabs and 4 spaces.

Modified: sysvinit/trunk/debian/changelog
===================================================================
--- sysvinit/trunk/debian/changelog	2009-03-13 18:10:24 UTC (rev 1323)
+++ sysvinit/trunk/debian/changelog	2009-03-14 12:30:43 UTC (rev 1324)
@@ -43,8 +43,10 @@
   * Always mount /dev/pts when running Linux kernel, and do not make
     /dev/ptmx manually because udev does this. Merged from 2.86.ds1-
     61ubuntu1.
+  * Standardize indentaion used in debian/sysv-rc/etc/init.d/rc. Use tabs
+    always, and not a mixture of tabs and 4 spaces.
 
- -- Kel Modderman <kel at otaku42.de>  Sat, 14 Mar 2009 04:08:15 +1000
+ -- Kel Modderman <kel at otaku42.de>  Sat, 14 Mar 2009 22:28:34 +1000
 
 sysvinit (2.86.ds1-61) unstable; urgency=low
 

Modified: sysvinit/trunk/debian/sysv-rc/etc/init.d/rc
===================================================================
--- sysvinit/trunk/debian/sysv-rc/etc/init.d/rc	2009-03-13 18:10:24 UTC (rev 1323)
+++ sysvinit/trunk/debian/sysv-rc/etc/init.d/rc	2009-03-14 12:30:43 UTC (rev 1324)
@@ -21,8 +21,8 @@
 # debug=echo
 
 # Specify method used to enable concurrent init.d scripts.
-# Valid options are 'none', 'shell' and 'startpar'.  To enable the
-# concurrent boot option, the init.d script order must allow for
+# Valid options are 'none', 'shell', 'startpar' and 'makefile'. To enable
+# the concurrent boot option, the init.d script order must allow for
 # concurrency.  This is not the case with the default boot sequence in
 # Debian as of 2008-01-20.  Before enabling concurrency, one need to
 # check the sequence values of all boot scripts, and make sure only
@@ -38,7 +38,7 @@
 umask 022
 
 on_exit() {
-    echo "error: '$scriptname' exited outside the expected code flow."
+	echo "error: '$scriptname' exited outside the expected code flow."
 }
 trap on_exit EXIT # Enable emergency handler
 
@@ -50,11 +50,11 @@
 
 # Functions for splash progress bars
 if [ -e /lib/init/splash-functions-base ] ; then
-    . /lib/init/splash-functions-base
+	. /lib/init/splash-functions-base
 else
-    # Quiet down script if old initscripts version without /lib/init/splash-functions-base is used.
-    splash_progress() { return 1; }
-    splash_stop() { return 1; }
+	# Quiet down script if old initscripts version without /lib/init/splash-functions-base is used.
+	splash_progress() { return 1; }
+	splash_stop() { return 1; }
 fi
 
 # Now find out what the current and what the previous runlevel are.
@@ -76,23 +76,23 @@
 export VERBOSE
 
 if [ -f /lib/lsb/init-functions ] ; then
-    . /lib/lsb/init-functions
+	. /lib/lsb/init-functions
 else
-    log_action_msg() { echo $@; }
-    log_failure_msg() { echo $@; }
-    log_warning_msg() { echo $@; }
+	log_action_msg() { echo $@; }
+	log_failure_msg() { echo $@; }
+	log_warning_msg() { echo $@; }
 fi
 
 #
 # Stub to do progress bar ticks (for splash programs) on startup
 #
 startup_progress() {
-    # Avoid divide by zero if anyone moved xdm/kdm/gdm first in a runlevel.
-    if [ 0 -eq "$num_steps" ] ; then return; fi
+	# Avoid divide by zero if anyone moved xdm/kdm/gdm first in a runlevel.
+	if [ 0 -eq "$num_steps" ] ; then return; fi
 
-    step=$(($step + $step_change))
-    progress=$(($step * $progress_size / $num_steps + $first_step))
-    $debug splash_progress "$progress" || true
+	step=$(($step + $step_change))
+	progress=$(($step * $progress_size / $num_steps + $first_step))
+	$debug splash_progress "$progress" || true
 }
 
 sh=sh
@@ -107,10 +107,10 @@
 # insserv package to be enabled.
 #
 if [ startpar = "$CONCURRENCY" ] || [ makefile = "$CONCURRENCY" ] ; then
-    test -s /etc/init.d/.depend.boot  || CONCURRENCY="none"
-    test -s /etc/init.d/.depend.start || CONCURRENCY="none"
-    test -s /etc/init.d/.depend.stop  || CONCURRENCY="none"
-    startpar -v      > /dev/null 2>&1 || CONCURRENCY="none"
+	test -s /etc/init.d/.depend.boot  || CONCURRENCY="none"
+	test -s /etc/init.d/.depend.start || CONCURRENCY="none"
+	test -s /etc/init.d/.depend.stop  || CONCURRENCY="none"
+	startpar -v      > /dev/null 2>&1 || CONCURRENCY="none"
 fi
 
 #
@@ -245,14 +245,14 @@
 # Check if the splash screen should be stopped before the given
 # script.
 is_splash_stop_scripts() {
-    scriptname=$1
-    case "$scriptname" in
-	# killprocs is used in runlevel 1
-	gdm|xdm|kdm|ltsp-client|ltsp-client-core|reboot|halt|killprocs)
-	    return 0
-	    ;;
-    esac
-    return 1
+	scriptname=$1
+	case "$scriptname" in
+		# killprocs is used in runlevel 1
+		gdm|xdm|kdm|ltsp-client|ltsp-client-core|reboot|halt|killprocs)
+			return 0
+			;;
+	esac
+	return 1
 }
 
 # Is there an rc directory for this new runlevel?
@@ -261,7 +261,7 @@
 	# Find out where in the progress bar the initramfs got to.
 	PROGRESS_STATE=0
 	if [ -f /dev/.initramfs/progress_state ]; then
-	    . /dev/.initramfs/progress_state
+		. /dev/.initramfs/progress_state
 	fi
 
 	# Split the remaining portion of the progress bar into thirds
@@ -275,8 +275,8 @@
 			progress_size=100
 			step_change=-1
 			;;
-	        S)
-		        ACTION=start
+		S)
+			ACTION=start
 			# Begin where the initramfs left off and use 2/3
 			# of the remaining space
 			first_step=$PROGRESS_STATE
@@ -296,10 +296,10 @@
 	# (for progress bars)
 	num_steps=0
 	for s in /etc/rc$runlevel.d/[SK]*; do
-	    if is_splash_stop_scripts "${s##/etc/rc$runlevel.d/S??}" ; then
-		break
-	    fi
-	    num_steps=$(($num_steps + 1))
+		if is_splash_stop_scripts "${s##/etc/rc$runlevel.d/S??}" ; then
+			break
+		fi
+		num_steps=$(($num_steps + 1))
 	done
 	step=0
 
@@ -344,7 +344,7 @@
 				# Stop the service.
 				SCRIPTS="$SCRIPTS $i"
 				if is_splash_stop_scripts "$suffix" ; then
-				    splash_stop || true
+					splash_stop || true
 				fi
 			done
 			startup stop $SCRIPTS
@@ -393,23 +393,23 @@
 					# have to re-start the service.
 					#
 					if [ start = "$ACTION" ] ; then
-					    [ -f $previous_start ] && [ ! -f $stop ] && continue
+						[ -f $previous_start ] && [ ! -f $stop ] && continue
 					else
-					    # Workaround for the special
-					    # handling of runlevels 0 and 6.
-					    previous_stop=/etc/rc$previous.d/K[0-9][0-9]$suffix
-					    #
-					    # If there is a stop script in the previous level
-					    # and _no_ start script there, we don't
-					    # have to re-stop the service.
-					    #
-					    [ -f $previous_stop ] && [ ! -f $previous_start ] && continue
+						# Workaround for the special
+						# handling of runlevels 0 and 6.
+						previous_stop=/etc/rc$previous.d/K[0-9][0-9]$suffix
+						#
+						# If there is a stop script in the previous level
+						# and _no_ start script there, we don't
+						# have to re-stop the service.
+						#
+						[ -f $previous_stop ] && [ ! -f $previous_start ] && continue
 					fi
 
 				fi
 				SCRIPTS="$SCRIPTS $i"
 				if is_splash_stop_scripts "$suffix" ; then
-				    splash_stop || true
+					splash_stop || true
 				fi
 			done
 			startup $ACTION $SCRIPTS




More information about the Pkg-sysvinit-commits mailing list